package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.enums.CourseStatusEnum;
import com.ym.mec.biz.dal.enums.TeachModeEnum;
import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class VipGroupCourseSchduleRecordDto {

    @ApiModelProperty(value = "课程编号")
    private Long id;

    @ApiModelProperty(value = "上课时间")
    private java.util.Date startClassTime;

    @ApiModelProperty(value = "课程状态  NOT_START未开始，SIGN_IN已签到，SIGN_OUT已签退")
    private CourseStatusEnum status;

    @ApiModelProperty(value = "课程类型")
    private TeachModeEnum teachMode;

    @ApiModelProperty(value = "结算状态")
    private YesOrNoEnum isSalary;

    @ApiModelProperty(value = "上课人数")
    private Integer attendanceNum;

    public Integer getAttendanceNum() {
        return attendanceNum;
    }

    public void setAttendanceNum(Integer attendanceNum) {
        this.attendanceNum = attendanceNum;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getStartClassTime() {
        return startClassTime;
    }

    public void setStartClassTime(Date startClassTime) {
        this.startClassTime = startClassTime;
    }

    public CourseStatusEnum getStatus() {
        return status;
    }

    public void setStatus(CourseStatusEnum status) {
        this.status = status;
    }

    public TeachModeEnum getTeachMode() {
        return teachMode;
    }

    public void setTeachMode(TeachModeEnum teachMode) {
        this.teachMode = teachMode;
    }

    public YesOrNoEnum getIsSalary() {
        return isSalary;
    }

    public void setIsSalary(YesOrNoEnum isSalary) {
        this.isSalary = isSalary;
    }
}
